function camstruct = Data_preparation_gPnLup( input,ncam,nline)



camstruct = struct;
camstruct.cambasic = struct;
camstruct.cambasic.camnum = ncam;
camstruct.cambasic.angles = [input.vertical_direction(1) ,input.vertical_direction(2)];
camstruct.camdata = struct;

for n=1:ncam
         
        camstruct.camdata(n).relpose_R = input.Camera(n).R;
        camstruct.camdata(n).relpose_t = input.Camera(n).t;

    
    
    camstruct.camdata(n).lines_3D_start = input.Camera(n).Line3D(:).start(1:nline,:);
    camstruct.camdata(n).lines_3D_end = input.Camera(n).Line3D(:).end(1:nline,:);
    camstruct.camdata(n).lines_2D_start = input.Camera(n).Line2D(:).start(1:nline,:);
    camstruct.camdata(n).lines_2D_end = input.Camera(n).Line2D(:).end(1:nline,:);
    
    
    camstruct.camdata(n).cameraType = input.Camera(n).type;
    
end



end

