function [Pose] = gPnLup(input,camNum,lineNum)

% Preparation of the input for the solver
% ------------------------------------------------------------------
struct = Data_preparation_gPnLup( input,camNum,lineNum);

% calling the solver (gPnLup) to estimates the aboslute pose (for the reference camera)
% ------------------------------------------------------------------
[Pose] = gPnLup_solver(struct);

% Returning the Absolute pose (world coordinate system to camera) 
% ------------------------------------------------------------------
if isnan(Pose{1}(1:3,1:3))
    warning('No solution can be found! please check your data.');
end

end

